
%% This is file `jande.cls' for :Journal of Applied Nonlinear Dynamics
%% Copyright 2012
%%
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{jande}
  [2012/2/13 v0.2e Journal of Applied Nonlinear Dynamics
   article document class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\PassOptionsToClass{11pt,twoside}{article}
\ProcessOptions
\LoadClass{article}
\def\jand@beginCJK{%
  \begin{CJK*}{GBK}{rm}\CJKtilde
}
\def\jand@endCJK{%
%  \end{multicols}
  \label{lastpage}
  \clearpage
  \end{CJK*}
}
\let\jand@begindocumenthook\@begindocumenthook
\let\jand@enddocumenthook\@enddocumenthook
\def\AtBeginDocument{\g@addto@macro\jand@begindocumenthook}
\def\AtEndDocument{\g@addto@macro\jand@enddocumenthook}
\def\@begindocumenthook{\jand@begindocumenthook\jand@beginCJK}
\def\@enddocumenthook{\jand@endCJK\jand@enddocumenthook}
\RequirePackage{CJK,indentfirst,url}
\RequirePackage{multicol,float,fancyhdr}
\RequirePackage{graphicx,subfigure,picins}
\RequirePackage{amsmath,amsthm,amssymb,amsfonts}
\RequirePackage{textcomp}
\RequirePackage{booktabs, tabularx}
\paperheight 279.4mm%
\paperwidth  215.9mm%
\ifx\pdfoutput\undefined % We're not running pdftex
  \AtBeginDvi{\special{papersize=\the\paperwidth,\the\paperheight}}
\else
  \setlength\pdfpagewidth{\paperwidth}%
  \setlength\pdfpageheight{\paperheight}%
\fi
\textheight      231.78mm%
\textwidth       171.45mm%
\voffset 		0 mm %
\topmargin       1.77mm%
\oddsidemargin     -4.175mm%
\evensidemargin    -4.175mm%
\columnsep         5mm%
\headheight 15pt
\headsep 12pt
\parskip \z@ plus \z@ minus \z@
\def\jand@year{2012}
\def\jand@volume{1}
\def\jand@number{1}
\newcommand*\Volume[3][\the\year]{%
  \def\jand@year{#1}%
  \def\jand@volume{#2}%
  \def\jand@number{#3}%
}

\def\ps@preface
{
\def\@oddhead{}
\def\@evenhead{}
\def\@oddfoot{\hfill \thepage \hfill}
\def\@evenfoot{\hfill \thepage \hfill}
}


% delete previous first page heading setting, all has been write in  fancy.
%\def\ps@first{\def\@oddhead{\hfill}
%\def\@evenhead{ \hfill}
%\def\@oddfoot{\footnotesize{
%$\begin{array}{l}
%\hspace*{165mm}\\[-7mm]
%{\rm ISSN~2164-6457,~eISSN~2164-6473/\$\mbox{-}see~front~materials~\copyright~2014~L\&H~Scientific~Publishing,~LLC.~All~rights~reserved.}\\
%{\rm DOI:10.5890/JAND.2014.01.001}
%\end{array}$
%}}
%\def\@evenfoot{\footnotesize{
%$\begin{array}{l}
%\hspace*{165mm}\\[-7mm]
%{\rm ISSN~2164-6457,~eISSN~2164-6473/\$\mbox{-}see~front~materials~\copyright~2014~L\&H~Scientific~Publishing,~LLC.~All~rights~reserved.}\\
%{\rm DOI:10.5890/JAND.2014.01.001}
%\end{array}$
%}}
%}

\newcommand*\Month[1]{%
  \def\jand@month{#1}%
}
\newcommand*\Page[1]{\setcounter{page}{#1}}
\fancypagestyle{plain}{%
  \fancyhf{}%
  \renewcommand{\headrulewidth}{0pt}%
  \renewcommand{\footrulewidth}{0pt}%
}
\let\jand@titlemark\@empty
\newcommand\titlemark[1]{\gdef\jand@titlemark{#1}}
\let\jand@authormark\@empty
\newcommand\authormark[1]{\gdef\jand@authormark{#1}}

\pagestyle{fancy}
\fancyhf{}
\renewcommand{\headrulewidth}{0pt}%
\renewcommand{\footrulewidth}{0pt}%
\fancyhead[RE]{\footnotesize 
%VOL. \jand@volume
\it }
\fancyhead[LO]{
%NO. \jand@number
\it %A.C.J. Luo, J. Huang
}
\fancyhead[CE]{\footnotesize%\MakeUppercase
%\it\hfill \jand@titlemark }
\it\centering \jand@titlemark }
\fancyhead[CO]{\ifnum\value{page}>1\footnotesize%\MakeUppercase
%\it\jand@authormark\hfill }
\it\centering \jand@titlemark\fi}
\fancyhead[LE,RO]{{\ifnum\value{page}>1\footnotesize{\thepage}\fi}}
\fancyfoot[LO]{\ifnum\value{page}=1\footnotesize{
ISSN~2164-6457,~eISSN~2164-6473/\$\mbox{-}see~front~materials~\copyright~2014~L\&H~Scientific~Publishing,~LLC.~All~rights~reserved.
\rm DOI:10.5890/JAND.2014.01.001}\fi}



%set footnote indent
\renewcommand\@makefntext[1]{%
    \parindent 0\p@
    \noindent
    \mbox{\@makefnmark} #1}
    
\renewcommand\thefootnote{\@alph\c@footnote}

\def\jand@pubinfo#1#2{%
%Journal of Applied Nonlinear Dynamics, VOL. \jand@volume, NO. \jand@number, \jand@year, #1--#2
\centering Journal of Applied Nonlinear Dynamics 3(1) (2014) 1-6}
%% Information of this Joural and this paper

\newcommand\address[1]{\gdef\@address{\noindent\rm #1}}
\def\@address{\@latex@warning@no@line{No \noexpand\address given}}
\let\@date\@empty
\newcommand\zipcode[1]{\mbox{\rm #1}}
\def\@maketitle{%
  \begingroup
    \let\footnote\thanks
    \noindent
    \raisebox{25\p@}[0\p@][0\p@]{\parbox[t]{\textwidth}
      {\footnotesize\jand@pubinfo{\thepage}{\pageref{lastpage}}}}%
%    \begin{center}
    \vskip -10\p@\bfseries\Large%
      \@title%
      \vskip 12\p@
      \normalfont\normalsize
      \@author\vskip 5\p@%
      \it\small\renewcommand{\baselinestretch}{1.5}\selectfont%
      \@address\vskip 9\p@%
      \normalfont\@date\par
%    \end{center}%
  \endgroup
  \@abstract
  \mainrule
}
\renewcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@0em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\@thanks\@empty
  \global\let\@title\@empty
  \global\let\@author\@empty
  \global\let\@address\@empty
  \global\let\@date\@empty
  \global\let\thanks\relax
  \global\let\title\relax
  \global\let\author\relax
  \global\let\address\relax
  \global\let\date\relax
  \global\let\@abstract\@empty
  \global\let\@keywords\@empty
  \global\let\abstract\relax
  \global\let\keywords\relax
  \global\let\@maketitle\relax
  \global\let\maketitle\relax
  \global\let\and\relax
%  \begin{multicols}{2}
}
\let\@abstract\@empty
\let\@keywords\@empty
\let\@doi\@empty
%\renewcommand\abstract[1]{
%  \def\@abstract{%
%    \quotation\item\relax\small
%    \vskip -10\p@\centerline{\bf ABSTRACT}\vskip 3\p@
%    #1\par
%    \vskip 7\p@\@keywords\@doi
%    \vskip\baselineskip\endquotation}}
\renewcommand\abstract[1]{
  \def\@abstract{%
    \quotation\item\relax\small
    \vskip -50\p@\centerline{\bf }\vskip 0\p@
    #1\par
    \vskip 0\p@\@keywords\@doi
    \vskip\baselineskip\endquotation}}
    
\newcommand\keywords[1]{
  \def\@keywords{%
    \begingroup
    \settowidth{\@tempdima}{\textbf{Key words}:}
    \list{}{\leftmargin\@tempdima
            \itemindent-\leftmargin
            \labelwidth\z@
            \advance\leftmargin\labelsep}
    \item[\textbf{Key words}:]
    #1\par\endlist
    \endgroup}}
\newcommand\doi[1]{
  \def\@doi{%
    \noindent\text{DOI}: #1\par}}
\newcommand\mainrule{\vspace*{-13mm}}
%\newcommand\mainrule{%
%  \begin{center}
%  \rule{0.3\textwidth}{2pt}
%  \end{center}
%  \vspace*{2ex}}
%\renewcommand\section{\@startsection {section}{1}{\z@}%
%                                   {-\baselineskip}%
%                                   {\baselineskip}%
%                                   {\normalfont\normalsize\bfseries}}
%\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
%                                     {-.5\baselineskip}%
%                                     {.5\baselineskip}%
%                                     {\normalfont\normalsize\bfseries\itshape}}
%\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
%                                     {-.5\baselineskip}%
%                                     {.25\baselineskip}%
%                                     {\normalfont\normalsize\itshape}}
%\newcommand\jand@thesection{\@arabic\c@section.}
%\newcommand\jand@thesubsection{\mbox{\bf\thesection.\@arabic\c@subsection}}
%\newcommand\jand@thesubsubsection{\mbox{\rm\thesubsection.\@arabic\c@subsubsection}}
%\def\@seccntformat#1{\csname jndc@the#1\endcsname\quad}




%\renewenvironment{figure}
%               {\@float{figure}[H]}
%               {\end@float}
%\renewenvironment{table}
%               {\@float{table}[H]\small}
%               {\end@float}
%\renewenvironment{table*}
%               {\@ifnextchar[{\jand@xdblfloat{table}}{\jand@dblfloat{table}}}
%               {\end@dblfloat}
\def\jand@xdblfloat#1[#2]{\@dblfloat{#1}[#2]\small}
\def\jand@dblfloat#1{\@dblfloat{#1}\small}
\newenvironment{widetabular}[2][\linewidth]
  {\begin{tabular*}{#1}{@{\space\extracolsep{\fill}}#2@{\space}}}
  {\end{tabular*}}
\renewcommand\figurename{\bf Fig.}
\renewcommand\tablename{\bf Table}
\long\def\jand@makefigcaption#1#2{%
  \abovecaptionskip \baselineskip%
  \belowcaptionskip \z@%
  \vskip\abovecaptionskip\small
  \list{}{\leftmargin \jand@figmargin\rightmargin\leftmargin%
          \topsep\z@\partopsep\z@\itemsep\z@\parsep\z@}%
  \item\relax
  \sbox\@tempboxa{\mbox{\bf #1.} #2}%
  \ifdim \wd\@tempboxa >\hsize
    \mbox{\bf #1.} #2\par
  \else
    \global \@minipagefalse
    {\hfil\box\@tempboxa\hfil}%
  \fi
  \endlist
  \vskip\belowcaptionskip}
\long\def\jand@maketabcaption#1#2{%
  \abovecaptionskip \z@%
  \belowcaptionskip .5\baselineskip%
  \vskip\abovecaptionskip\small
  \mbox{\bf #1.} #2\par
  \vskip\belowcaptionskip}
\newdimen\jand@figwidth
\newdimen\jand@figmargin
\newcommand\figcaption[2][\linewidth]{%
  \setlength\jand@figwidth{#1}
  \jand@figmargin\linewidth
  \advance\jand@figmargin-\jand@figwidth
  \divide\jand@figmargin 2
  \let\jand@makecaption\@makecaption%
  \let\@makecaption\jand@makefigcaption%
  \caption{#2}%
  \let\@makecaption\jand@makecaption%
}
\newcommand\tabcaption[1]{%
  \let\jand@makecaption\@makecaption%
  \let\@makecaption\jand@maketabcaption%
  \caption{#1}%
  \let\@makecaption\jand@makecaption%
}
\newcommand\figcontinue{\addtocounter{figure}{-1}}
\newcommand\tabnote[1]{%
  \begingroup
    \footnotesize
    \vskip\baselineskip
    \parindent\z@
    #1
  \endgroup
}
\def\toprule{\noalign{\ifnum0=`}\fi \hrule \@height 0.75pt \hrule \@height 3pt \@width 0pt \futurelet
   \@tempa\@xhline}
\def\midrule{\noalign{\ifnum0=`}\fi \hrule \@height 3.25pt \@width 0pt \hrule \@height 0.5pt
    \hrule \@height 3pt \@width 0pt \futurelet \@tempa\@xhline}
\def\botrule{\noalign{\ifnum0=`}\fi \hrule \@height 2.75pt \@width 0pt \hrule \@height 0.75pt \futurelet
   \@tempa\@xhline}
\renewcommand{\textfraction}{0.15}
\renewcommand{\topfraction}{0.85}
\renewcommand{\bottomfraction}{0.65}
\renewcommand{\floatpagefraction}{0.60}
\textfloatsep \baselineskip
\intextsep \baselineskip
\floatsep \baselineskip
\dbltextfloatsep \baselineskip
\dblfloatsep \baselineskip
\abovedisplayskip .5\baselineskip
\belowdisplayskip .5\baselineskip
\newenvironment{acknowledgements}{%
  \vskip\baselineskip
  \small\bfseries\itshape Acknowledgements.\quad
  \small\normalfont\baselineskip=11pt}
  {\normalsize\normalfont}%
\renewcommand\refname{References}




\renewenvironment{thebibliography}[1]
     {\section*{\refname}
      \small\baselineskip=11pt%
      \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin 0em\itemindent 0em \leftmargin 1em
            \parsep\z@\itemsep\z@
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
%\bibsep\z@
%\def\bibfont{\small}
\renewcommand\appendix{\par
  \section*{\centering\small\rm APPENDIX}
  \normalsize
  \setcounter{equation}{0}%
  \def\cl@section{\@elt{subsection}}%
  \renewcommand\theequation{A\@arabic\c@equation}%
  \setcounter{secnumdepth}{0}
  \renewcommand\section{\@startsection {section}{1}{\z@}%
                                   {-\baselineskip}%
                                   {\baselineskip}%
                                   {\centering\normalfont\normalsize\bfseries}}
  \renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-.5\baselineskip}%
                                     {.5\baselineskip}%
                                     {\centering\normalfont\normalsize\bfseries\itshape}}
  \renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-.5\baselineskip}%
                                     {.25\baselineskip}%
                                     {\centering\normalfont\normalsize\itshape}}
}
%\renewcommand\@biblabel[1]{\ \ }
%\def\@biblabel#1{#1.}

\endinput
%%
%% End of file `jande.cls'.
